com.microfocus.awm.meta.impl

## Class RElementPropertyImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.EObjectImpl
      - - com.microfocus.awm.meta.impl.AWMObjectImpl
        - - com.microfocus.awm.meta.impl.RElementPropertyImpl

- All Implemented Interfaces:
    AWMObject, RElementProperty, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

      public class RElementPropertyImpl
      extends AWMObjectImpl
      implements RElementProperty

  The following features are implemented:

  - `Target ID`
  - `Property Visible Condition`
  - `Category`
  - `Element Name`
  - `Label`
  - `Seq No`
  - `Sort Direction`
  - `Tree View Label`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `org.eclipse.emf.ecore.InternalEObject.EStore`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

      `ELAST_EOBJECT_FLAG`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Property` | `basicGetTargetID()`
    `org.eclipse.emf.common.notify.NotificationChain` | `basicSetPropertyVisibleCondition(RVisibleCondition newPropertyVisibleCondition, org.eclipse.emf.common.notify.NotificationChain msgs)`
    `java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
    `org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
    `boolean` | `eIsSet(int featureID)`
    `void` | `eSet(int featureID, java.lang.Object newValue)`
    `void` | `eUnset(int featureID)`
    `java.lang.String` | `getCategory()`
    `java.lang.String` | `getLabel()`
    `java.lang.String` | `getLabelFromHierarchy()` Returns the Label or, if the Label wasn't set, the Label of the referenced Property (`TargetID`).
    `RVisibleCondition` | `getPropertyVisibleCondition()`
    `int` | `getSeqNo()`
    `ESortDirection` | `getSortDirection()`
    `Property` | `getTargetID()`
    `boolean` | `isElementName()`
    `boolean` | `isSetElementName()`
    `boolean` | `isSetSeqNo()`
    `boolean` | `isSetSortDirection()`
    `boolean` | `isSetTreeViewLabel()`
    `boolean` | `isTreeViewLabel()`
    `void` | `setCategory(java.lang.String newCategory)`
    `void` | `setElementName(boolean newElementName)`
    `void` | `setLabel(java.lang.String newLabel)`
    `void` | `setPropertyVisibleCondition(RVisibleCondition newPropertyVisibleCondition)`
    `void` | `setSeqNo(int newSeqNo)`
    `void` | `setSortDirection(ESortDirection newSortDirection)`
    `void` | `setTargetID(Property newTargetID)`
    `void` | `setTreeViewLabel(boolean newTreeViewLabel)`
    `java.lang.String` | `toString()`
    `void` | `unsetElementName()`
    `void` | `unsetSeqNo()`
    `void` | `unsetSortDirection()`
    `void` | `unsetTreeViewLabel()`

    - ### Methods inherited from class com.microfocus.awm.meta.impl.AWMObjectImpl

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

      `eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Method Detail

    - #### getTargetID

          public Property getTargetID()

      Specified by:
        `getTargetID` in interface `RElementProperty`
      Returns:
        the value of the 'Target ID' reference.
      See Also:
        `RElementProperty.setTargetID(Property)`, `TaurusPackage.getRElementProperty_TargetID()`

    - #### basicGetTargetID

          public Property basicGetTargetID()

    - #### setTargetID

          public void setTargetID(Property newTargetID)

      Specified by:
        `setTargetID` in interface `RElementProperty`
      Parameters:
        `newTargetID` - the new value of the 'Target ID' reference.
      See Also:
        `RElementProperty.getTargetID()`

    - #### getPropertyVisibleCondition

          public RVisibleCondition getPropertyVisibleCondition()

      Specified by:
        `getPropertyVisibleCondition` in interface `RElementProperty`
      Returns:
        the value of the 'Property Visible Condition' containment reference.
      See Also:
        `RElementProperty.setPropertyVisibleCondition(RVisibleCondition)`, `TaurusPackage.getRElementProperty_PropertyVisibleCondition()`

    - #### basicSetPropertyVisibleCondition

          public org.eclipse.emf.common.notify.NotificationChain basicSetPropertyVisibleCondition(RVisibleCondition newPropertyVisibleCondition,
                                                                                                  org.eclipse.emf.common.notify.NotificationChain msgs)

    - #### setPropertyVisibleCondition

          public void setPropertyVisibleCondition(RVisibleCondition newPropertyVisibleCondition)

      Specified by:
        `setPropertyVisibleCondition` in interface `RElementProperty`
      Parameters:
        `newPropertyVisibleCondition` - the new value of the 'Property Visible Condition' containment reference.
      See Also:
        `RElementProperty.getPropertyVisibleCondition()`

    - #### getCategory

          public java.lang.String getCategory()

      Specified by:
        `getCategory` in interface `RElementProperty`
      Returns:
        the value of the 'Category' attribute.
      See Also:
        `RElementProperty.setCategory(String)`, `TaurusPackage.getRElementProperty_Category()`

    - #### setCategory

          public void setCategory(java.lang.String newCategory)

      Specified by:
        `setCategory` in interface `RElementProperty`
      Parameters:
        `newCategory` - the new value of the 'Category' attribute.
      See Also:
        `RElementProperty.getCategory()`

    - #### isElementName

          public boolean isElementName()

      Specified by:
        `isElementName` in interface `RElementProperty`
      Returns:
        the value of the 'Element Name' attribute.
      See Also:
        `RElementProperty.isSetElementName()`, `RElementProperty.unsetElementName()`, `RElementProperty.setElementName(boolean)`, `TaurusPackage.getRElementProperty_ElementName()`

    - #### setElementName

          public void setElementName(boolean newElementName)

      Specified by:
        `setElementName` in interface `RElementProperty`
      Parameters:
        `newElementName` - the new value of the 'Element Name' attribute.
      See Also:
        `RElementProperty.isSetElementName()`, `RElementProperty.unsetElementName()`, `RElementProperty.isElementName()`

    - #### unsetElementName

          public void unsetElementName()

      Specified by:
        `unsetElementName` in interface `RElementProperty`
      See Also:
        `RElementProperty.isSetElementName()`, `RElementProperty.isElementName()`, `RElementProperty.setElementName(boolean)`

    - #### isSetElementName

          public boolean isSetElementName()

      Specified by:
        `isSetElementName` in interface `RElementProperty`
      Returns:
        whether the value of the 'Element Name' attribute is set.
      See Also:
        `RElementProperty.unsetElementName()`, `RElementProperty.isElementName()`, `RElementProperty.setElementName(boolean)`

    - #### getLabel

          public java.lang.String getLabel()

      Specified by:
        `getLabel` in interface `RElementProperty`
      Returns:
        the value of the 'Label' attribute.
      See Also:
        `RElementProperty.setLabel(String)`, `TaurusPackage.getRElementProperty_Label()`

    - #### setLabel

          public void setLabel(java.lang.String newLabel)

      Specified by:
        `setLabel` in interface `RElementProperty`
      Parameters:
        `newLabel` - the new value of the 'Label' attribute.
      See Also:
        `RElementProperty.getLabel()`

    - #### getSeqNo

          public int getSeqNo()

      Specified by:
        `getSeqNo` in interface `RElementProperty`
      Returns:
        the value of the 'Seq No' attribute.
      See Also:
        `RElementProperty.isSetSeqNo()`, `RElementProperty.unsetSeqNo()`, `RElementProperty.setSeqNo(int)`, `TaurusPackage.getRElementProperty_SeqNo()`

    - #### setSeqNo

          public void setSeqNo(int newSeqNo)

      Specified by:
        `setSeqNo` in interface `RElementProperty`
      Parameters:
        `newSeqNo` - the new value of the 'Seq No' attribute.
      See Also:
        `RElementProperty.isSetSeqNo()`, `RElementProperty.unsetSeqNo()`, `RElementProperty.getSeqNo()`

    - #### unsetSeqNo

          public void unsetSeqNo()

      Specified by:
        `unsetSeqNo` in interface `RElementProperty`
      See Also:
        `RElementProperty.isSetSeqNo()`, `RElementProperty.getSeqNo()`, `RElementProperty.setSeqNo(int)`

    - #### isSetSeqNo

          public boolean isSetSeqNo()

      Specified by:
        `isSetSeqNo` in interface `RElementProperty`
      Returns:
        whether the value of the 'Seq No' attribute is set.
      See Also:
        `RElementProperty.unsetSeqNo()`, `RElementProperty.getSeqNo()`, `RElementProperty.setSeqNo(int)`

    - #### getSortDirection

          public ESortDirection getSortDirection()

      Specified by:
        `getSortDirection` in interface `RElementProperty`
      Returns:
        the value of the 'Sort Direction' attribute.
      See Also:
        `ESortDirection`, `RElementProperty.isSetSortDirection()`, `RElementProperty.unsetSortDirection()`, `RElementProperty.setSortDirection(ESortDirection)`, `TaurusPackage.getRElementProperty_SortDirection()`

    - #### setSortDirection

          public void setSortDirection(ESortDirection newSortDirection)

      Specified by:
        `setSortDirection` in interface `RElementProperty`
      Parameters:
        `newSortDirection` - the new value of the 'Sort Direction' attribute.
      See Also:
        `ESortDirection`, `RElementProperty.isSetSortDirection()`, `RElementProperty.unsetSortDirection()`, `RElementProperty.getSortDirection()`

    - #### unsetSortDirection

          public void unsetSortDirection()

      Specified by:
        `unsetSortDirection` in interface `RElementProperty`
      See Also:
        `RElementProperty.isSetSortDirection()`, `RElementProperty.getSortDirection()`, `RElementProperty.setSortDirection(ESortDirection)`

    - #### isSetSortDirection

          public boolean isSetSortDirection()

      Specified by:
        `isSetSortDirection` in interface `RElementProperty`
      Returns:
        whether the value of the 'Sort Direction' attribute is set.
      See Also:
        `RElementProperty.unsetSortDirection()`, `RElementProperty.getSortDirection()`, `RElementProperty.setSortDirection(ESortDirection)`

    - #### isTreeViewLabel

          public boolean isTreeViewLabel()

      Specified by:
        `isTreeViewLabel` in interface `RElementProperty`
      Returns:
        the value of the 'Tree View Label' attribute.
      See Also:
        `RElementProperty.isSetTreeViewLabel()`, `RElementProperty.unsetTreeViewLabel()`, `RElementProperty.setTreeViewLabel(boolean)`, `TaurusPackage.getRElementProperty_TreeViewLabel()`

    - #### setTreeViewLabel

          public void setTreeViewLabel(boolean newTreeViewLabel)

      Specified by:
        `setTreeViewLabel` in interface `RElementProperty`
      Parameters:
        `newTreeViewLabel` - the new value of the 'Tree View Label' attribute.
      See Also:
        `RElementProperty.isSetTreeViewLabel()`, `RElementProperty.unsetTreeViewLabel()`, `RElementProperty.isTreeViewLabel()`

    - #### unsetTreeViewLabel

          public void unsetTreeViewLabel()

      Specified by:
        `unsetTreeViewLabel` in interface `RElementProperty`
      See Also:
        `RElementProperty.isSetTreeViewLabel()`, `RElementProperty.isTreeViewLabel()`, `RElementProperty.setTreeViewLabel(boolean)`

    - #### isSetTreeViewLabel

          public boolean isSetTreeViewLabel()

      Specified by:
        `isSetTreeViewLabel` in interface `RElementProperty`
      Returns:
        whether the value of the 'Tree View Label' attribute is set.
      See Also:
        `RElementProperty.unsetTreeViewLabel()`, `RElementProperty.isTreeViewLabel()`, `RElementProperty.setTreeViewLabel(boolean)`

    - #### eInverseRemove

          public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                                int featureID,
                                                                                org.eclipse.emf.common.notify.NotificationChain msgs)

      Overrides:
        `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

    - #### eGet

          public java.lang.Object eGet(int featureID,
                                       boolean resolve,
                                       boolean coreType)

      Specified by:
        `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eGet` in class `AWMObjectImpl`

    - #### eSet

          public void eSet(int featureID,
                           java.lang.Object newValue)

      Specified by:
        `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eSet` in class `AWMObjectImpl`

    - #### eUnset

          public void eUnset(int featureID)

      Specified by:
        `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eUnset` in class `AWMObjectImpl`

    - #### eIsSet

          public boolean eIsSet(int featureID)

      Specified by:
        `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eIsSet` in class `AWMObjectImpl`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `AWMObjectImpl`

    - #### getLabelFromHierarchy

          public java.lang.String getLabelFromHierarchy()

      Description copied from interface: `RElementProperty`
      Returns the Label or, if the Label wasn't set, the Label of the referenced Property (`TargetID`). If the Properties Label wasn't set, too, its ID will be returned.
      Specified by:
        `getLabelFromHierarchy` in interface `RElementProperty`

Copyright © 2015 Micro Focus GmbH. All rights reserved.